pfsinrgbe(1)

NAME
pfsinrgbe - Load images or frames in Radiance RGBE format

SYNOPSIS
pfsinrgbe [--linear] (<file> [--frames <range>] [--skip-missing]) [<file>...]

DESCRIPTION
pfsinrgbe command loads images in Radiance RGBE format and writes pfs stream to the Standard Output. The pfs stream is usually piped to another program for further processing. To detect the format automatically based on the extension, use pfsin command.

Since RGBE is an HDR format, 'LUMINANCE' tag is set to 'RELATIVE' (relative linear luminance values).

To read images from standard input use a single dash '-' instead of filename. The images are read until EOF is reached.

Each file can contain a %d pattern, which is substituted with frame numbers. The pattern has the same syntax as C printf command. For example, you can use %04d to make the frame number four digit with proceedings zeros. You can select the frames using the following options (the options must be always given after the file name):

--frames <range>
    Range is given in mathlab / octave format: startframe:step:endframe Frame numbers start with startframe (default 0), are increased by step (default 1) and stop at endframe You can skip one of those values, for example 1:100 for frames 1,2,...,100 and 0:2: for frame 0,2,4,... up to the last file that exists.

--skip-missing
    Skip up to ten frames in a row if corresponding files are missing. Otherwise the program stops reading sequence at the first file that does not exists. This switch does not apply to the first frame in a sequence. This switch can be useful if there is a rendered animation where some of the frame has not been generated.

--linear
    Ignored for compatibility with pfsinppm.

--radiance, -r
    Correct stored values so that the luminance is reported the same in pfsview and radiance tools (xview or Photospheare). See IMPORTANT NOTE below.

--quiet, -q
    Disable warning message about the change in handling absolute values in RGBE files. See IMPORTANT NOTE below.

EXAMPLES

pfsinrgbe intro%d.hdr frame%d.hdr | ...
    Concatenate two animations into one and pass it to pipe for further processing.

IMPORTANT NOTE
There is an incompatibility between viewers of RGBE format in terms of absolute luminance values. The ximage viewer from Radiance package expects radiance values in RGBE files and multiplies the resulting luminance by the WHITE_EFFICACY constant equal to 179.0f to convert from radiance to luminance.

To remain compatible with Radiance (xview and Photospheare), pfstools prior to 1.9.0 divided red, green and blue values by 179 on writing and multiplied by that constant on reading RGBE files. This in turn caused incompatibility with other software, such as Photoshop or HDR toolbox. Starting from pfstools 1.9.0 this division / multiplication step was removed to make pfstools compatible in terms of absolute values with the majority of the software. The downside is that this change made luminance units) with the pfstools 1.9.0 or later. To avoid any mistakes because of that change, a long warning messages is shown each time pfsinrgbe or pfsoutrgbe is called. The message can be suppressed with --quiet option.

To enable the old functionality and read or write RGBE files with the correction for WHITE_EFFICACY, add --radiance option to the command line.

BUGS
Please report bugs and comments on implementation to the discussion group http://groups.google.com/group/pfstools

SEE ALSO
pfsin(1), pfsout(1)